Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

QueryPciDeviceOffering

QueryPciDeviceOffering

GET/zstack/v1/pci-device/pci-device-offerings
GET/zstack/v1/pci-device/pci-device-offerings/{uuid}

Operation ID

QueryPciDeviceOffering

Since

2.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • vendorId
      StringRequired

      The vendor ID.

    • deviceId
      StringRequired

      The device ID.

    • subvendorId
      StringRequired

      The subvendor ID.

    • subdeviceId
      StringRequired

      The subdevice ID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      PciDeviceOfferingTypeRequired

      See type.

      • type
        StringRequired

        The type, which is a reserved field.

    • attachedInstanceOfferings
      ListRequired

      See attachedInstanceOfferings.

      • id
        longRequired

        The resource ID.

      • instanceOfferingUuid
        StringRequired

        The instance offering UUID.

      • pciDeviceOfferingUuid
        StringRequired

        The PCI device offering UUID.

      • pciDeviceCount
        IntegerRequired

        The number of PCI device.

      • metadata
        PciDeviceMetaDataRequired

        See metadata.

        • metaData
          StringRequired

          The metadata.

        • metaDataEntries
          ListRequired

          See metaDataEntries.

          • key
            StringRequired

            The key.

          • value
            StringRequired

            The field value.

          • op
            PciDeviceMetaDataOperatorRequired

            See op.

            • Equal
              PciDeviceMetaDataOperatorRequired

              The equal operator.

            • Unequal
              PciDeviceMetaDataOperatorRequired

              The not equal operator.

    • matchedPciDevices
      ListRequired

      See matchedPciDevices.

      • pciDeviceUuid
        StringRequired

        The PCI device UUID.

      • pciDeviceOfferingUuid
        StringRequired

        The PCI device offering UUID.